Wallet Swaps
List all swap transactions (buy/sell) for a specific wallet. Optionally filter by tokenAddress for specific token swaps.
Documentation Index
Fetch the complete documentation index at: https://docs.moralis.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
The wallet address token-transactions are to be retrieved for.
"0xcB1C1FdE09f811B294172696404e88E658659905"
Query Parameters
The chain to query
eth, 0x1, sepolia, 0xaa36a7, polygon, 0x89, bsc, 0x38, bsc testnet, 0x61, avalanche, 0xa86a, fantom, 0xfa, cronos, 0x19, arbitrum, 0xa4b1, chiliz, 0x15b38, chiliz testnet, 0x15b32, gnosis, 0x64, gnosis testnet, 0x27d8, base, 0x2105, base sepolia, 0x14a34, optimism, 0xa, polygon amoy, 0x13882, linea, 0xe708, moonbeam, 0x504, moonriver, 0x505, moonbase, 0x507, linea sepolia, 0xe705, flow, 0x2eb, flow-testnet, 0x221, ronin, 0x7e4, ronin-testnet, 0x31769, lisk, 0x46f, lisk-sepolia, 0x106a, pulse, 0x171, sei-testnet, 0x530, sei, 0x531, monad, 0x8f "eth"
The token address to get transaction for (optional)
The cursor returned in the previous response (used for getting the next page).
The desired page size of the result.
x >= 0The minimum block number from which to get the token transactions
- Provide the param 'from_block' or 'from_date'
- If 'from_date' and 'from_block' are provided, 'from_block' will be used.
x >= 0The block number to get the token transactions from
The start date from which to get the token transactions (format in seconds or datestring accepted by momentjs)
- Provide the param 'from_block' or 'from_date'
- If 'from_date' and 'from_block' are provided, 'from_block' will be used.
The end date from which to get the token transactions (format in seconds or datestring accepted by momentjs)
- Provide the param 'to_block' or 'to_date'
- If 'to_date' and 'to_block' are provided, 'to_block' will be used.
The order of the result, in ascending (ASC) or descending (DESC)
ASC, DESC "DESC"
Array of transaction types. Allowed values are 'buy', 'sell'.

